Package logilab :: Package common :: Class nullobject

[frames] | no frames]

# Class nullobject

source code

    object --+
             |
            nullobject

Instance Methods

__repr__(self) repr(x) | source code

__bool__(self) | source code

__nonzero__(self) | source code

Inherited from `object`: `__delattr__`, `__format__`, `__getattribute__`, `__hash__`, `__init__`, `__new__`, `__reduce__`, `__reduce_ex__`, `__setattr__`, `__sizeof__`, `__str__`, `__subclasshook__`

Properties
Inherited from `object`: `__class__`

Method Details

### __repr__(self)
(Representation operator)

source code

repr(x)

Overrides: object.__repr__
  (inherited documentation)